<div style="margin-top: 20px;">
    <p-panel header="Create or Edit PKB">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <p-tabView #tabview>
                <p-tabPanel header="Data Kendaraan">
                        <!--div class="modal-header">
                            <h6 class="modal-title" id="myWorkOrderLabel" jhiTranslate="mpmApp.workOrder.home.createOrEditLabel">Create or edit a Work Order</h6>
                            <button type="button" class="close" aria-hidden="true" (click)="previousState()">&times;</button>
                        </div
                        <div class="modal-body"-->
                        <jhi-alert-error></jhi-alert-error>
                        <div class="form-group" [hidden]="!workOrder.idRequirement">
                            <label for="id" jhiTranslate="global.field.id">ID</label>
                            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="workOrder.idRequirement" readonly />
                        </div>
                        
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_vehicleNumber">Nomor Polisi<span style="color:red;"> *</span></label>
                                    <input type="text" class="form-control" name="vehicleNumber" id="field_vehicleNumber"
                                        [(ngModel)]="workOrder.vehicleNumber"  />
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_">Nomor Mesin<span style="color:red;"> *</span></label>
                                    <input type="text" class="form-control" name="field_" id="field_"
                                        />
                                </div>
                            </div>
                        </div>                    
                        
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_">Nomor Rangka<span style="color:red;"> *</span></label>
                                    <input type="text" class="form-control" name="field_" id="field_"
                                        />
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_">Tipe Kendaraan<span style="color:red;"> *</span></label>
                                    <input type="text" class="form-control" name="field_" id="field_"
                                        />
                                </div>
                            </div>  
                        </div>
                        <div class="row">                      
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_">Tahun Rakit<span style="color:red;"> *</span></label>
                                    <input type="text" class="form-control" name="field_" id="field_"
                                            />
                                </div>
                            </div> 
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_">Warna<span style="color:red;"> *</span></label>
                                    <input type="text" class="form-control" name="field_" id="field_"
                                            />
                                </div>
                            </div>  
                        </div>                    
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_">Dealer Pembelian<span style="color:red;"> *</span></label>
                                    <input type="text" class="form-control" name="field_" id="field_"
                                            />
                                </div>
                            </div>  
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label">Tanggal Pembelian<span style="color:red;"> *</span></label>
                                    <div class="input-group input-calendar">
                                        <p-calendar inputId="field_dateKey" name="input_dateKey"
                                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                                            [showIcon]="true"></p-calendar>
                                    </div>
                                </div>
                            </div> 
                        </div>
                        <div class="row">                      
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_">Nomor Buku Service</label>
                                    <input type="text" class="form-control" name="field_" id="field_"
                                            />
                                </div>
                            </div> 
                            <div class="col-sm-6">
                                <div class="form-group">    
                                    <label class="form-control-label" for="field_">Kilometer Sebelumnya</label>
                                    <input type="text" class="form-control" name="field_" id="field_"
                                            />
                                </div>
                            </div>  
                        </div>                    
                        <div class="row">                      
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_">Kilometer<span style="color:red;"> *</span></label>
                                    <input type="text" class="form-control" name="field_" id="field_"
                                            />
                                </div>
                            </div> 
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label jhiTranslate="mpmApp.workOrder.mechanic" for="field_mechanic">Mechanic</label>
                                    <select class="form-control" id="field_mechanic" name="mechanic" [(ngModel)]="workOrder.mechanicId" >
                                        <option [ngValue]="null"></option>
                                        <option [ngValue]="mechanicOption.idPartyRole" *ngFor="let mechanicOption of mechanics; trackBy: trackMechanicById">{{mechanicOption.id}}</option>
                                    </select>
                                </div> 
                            </div> 
                        </div>
                        <!--div class="form-group">
                            <label jhiTranslate="mpmApp.workOrder.customer" for="field_customer">Customer</label>
                            <select class="form-control" id="field_customer" name="customer" [(ngModel)]="workOrder.customerId" >
                                <option [ngValue]="null"></option>
                                <option [ngValue]="customerOption.idCustomer" *ngFor="let customerOption of customers; trackBy: trackCustomerById">{{customerOption.id}}</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label jhiTranslate="mpmApp.workOrder.mechanic" for="field_mechanic">Mechanic</label>
                            <select class="form-control" id="field_mechanic" name="mechanic" [(ngModel)]="workOrder.mechanicId" >
                                <option [ngValue]="null"></option>
                                <option [ngValue]="mechanicOption.idPartyRole" *ngFor="let mechanicOption of mechanics; trackBy: trackMechanicById">{{mechanicOption.id}}</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label jhiTranslate="mpmApp.workOrder.vehicle" for="field_vehicle">Vehicle</label>
                            <select class="form-control" id="field_vehicle" name="vehicle" [(ngModel)]="workOrder.vehicleId" >
                                <option [ngValue]="null"></option>
                                <option [ngValue]="vehicleIdentificationOption.idVehicleIdentification" *ngFor="let vehicleIdentificationOption of vehicleidentifications; trackBy: trackVehicleIdentificationById">{{vehicleIdentificationOption.id}}</option>
                            </select>
                        </div-->
                </p-tabPanel>
                <p-tabPanel header="Data Konsumen">
                    <h5 class="sub-title">Data Pemilik</h5>
                    <jhi-alert-error></jhi-alert-error>
                    <div class="form-group" [hidden]="!workOrder.idRequirement">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="workOrder.idRequirement" readonly />
                    </div>
                    
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Nama STNK<span style="color:red;"> *</span></label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Alamat<span style="color:red;"> *</span></label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                    </div>                    
                    
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">NIK<span style="color:red;"> *</span></label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Provinsi<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Jawa Timur</option>
                                </select>
                            </div>
                        </div>  
                    </div>
                    <div class="row">                      
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Kategori Konsumen<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Retail</option>
                                </select>
                            </div>
                        </div> 
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Kota / Kabupaten<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Surabaya</option>
                                </select>
                            </div>
                        </div>  
                    </div>                    
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">No Handphone 1<span style="color:red;"> *</span></label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>  
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label">Kecamatan<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Sukokilo</option>
                                </select>
                            </div>
                        </div> 
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">No Handphone 2<span style="color:red;"> *</span></label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>  
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label">Kelurahan/Desa<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Semeloworu</option>
                                </select>
                            </div>
                        </div> 
                    </div>
                    <div class="row">                      
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Social Media</label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div> 
                        <div class="col-sm-6">
                            <div class="form-group">    
                                <label class="form-control-label" for="field_">NPWP</label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>  
                    </div>                    
                    <div class="row">                      
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Email<span style="color:red;"> *</span></label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>                        
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">TOP<span style="color:red;"> *</span></label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div> 
                    </div>
                    <h5 class="sub-title">Data Pembawa</h5>
                    <jhi-alert-error></jhi-alert-error>
                    <p-checkbox name="groupname" value="val1" [(ngModel)]="selectedValues" label="Data Pembawa sama dengan Pemilik" class="form-checkbox"></p-checkbox>
                    <div class="form-group" [hidden]="!workOrder.idRequirement">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="workOrder.idRequirement" readonly />
                    </div>
                    
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Nama Pembawa<span style="color:red;"> *</span></label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Alamat<span style="color:red;"> *</span></label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                    </div>                    
                    
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">No Handphone 1<span style="color:red;"> *</span></label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div> 
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Provinsi<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Jawa Timur</option>
                                </select>
                            </div>
                        </div>  
                    </div>
                    <div class="row"> 
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">No Handphone 2</label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div> 
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Kota / Kabupaten<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Surabaya</option>
                                </select>
                            </div>
                        </div>  
                    </div>                    
                    <div class="row"> 
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label">Hubungan Pembawa & Pemilik<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Keluarga</option>
                                </select>
                            </div>
                        </div> 
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label">Kecamatan<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Sukokilo</option>
                                </select>
                            </div>
                        </div> 
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label">Alasan ke Ahass<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Inisiatif Sendiri</option>
                                </select>
                            </div>
                        </div> 
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label">Kelurahan/Desa<span style="color:red;"> *</span></label>
                                <select class="form-control">
                                    <option value="1">Semeloworu</option>
                                </select>
                            </div>
                        </div> 
                    </div>
                </p-tabPanel>
                <p-tabPanel header="Riwayat Service">
                    <p-dataTable
                    [value]="workOrders"
                    [editable]="true"
                    [rows]="itemsPerPage"
                    [paginator]="true"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    dataKey="idRequirement"
                    expandableRows="false"
                    (onLazyLoad)="loadDataLazy($event)"
                    (onEditComplete)="updateRowData($event)">
                    <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                    <p-column header="{{'mpmApp.workOrder.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.workOrder.vehicleNumber'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.vehicleNumber}}
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.workOrder.customer'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.customerId">
                                <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerName}}</a>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.workOrder.mechanic'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.mechanicId">
                                <a [routerLink]="['../mechanic', rowData.mechanicId  ]" >{{rowData.mechanicName}}</a>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.workOrder.vehicle'|translate}}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div *ngIf="rowData.vehicleId">
                                <a [routerLink]="['../vehicle-identification', rowData.vehicleId  ]" >{{rowData.vehicleId}}</a>
                            </div>
                        </ng-template>
                    </p-column>
                    <p-column header="{{'mpmApp.workOrder.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <button pButton type="submit"
                                    [routerLink]="['../work-order', rowData.idRequirement]"
                                    icon="fa-eye"
                                    class="ui-button-info"
                                    [style]="{'height':'50px'}">
                            </button>
                            <button pButton type="submit"
                                    [routerLink]="['../work-order/'+ rowData.idRequirement + '/edit']"
                                    icon="fa-pencil"
                                    class="ui-button-primary">
                            </button>
                            <!-- <button pButton type="submit"
                                    (click)="delete(rowData.idRequirement)"
                                    icon="fa-remove"
                                    class="ui-button-danger">
                            </button> -->
                        </ng-template>
                    </p-column>
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
                </p-dataTable>
                </p-tabPanel>
                <p-tabPanel header="Pekerjaan">
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label">Job Suggest</label>
                                <textarea class="form-control"></textarea>
                            </div>
                            <div class="form-group">
                                <label class="form-control-label">Keluhan</label>
                                <textarea class="form-control"></textarea>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <h4 class="banner-title">Informasi Promo</h4>
                                <div class="banner-promo"></div>
                            </div>
                        </div>  
                    </div>
                    <p-dataTable
                        [value]="workOrders"
                        [editable]="true"
                        [rows]="itemsPerPage"
                        [paginator]="false"
                        [pageLinks]="5"
                        [totalRecords]="totalItems"
                        [responsive]="true"
                        [lazy]="true"
                        dataKey="idRequirement"
                        expandableRows="false"
                        (onLazyLoad)="loadDataLazy($event)"
                        (onEditComplete)="updateRowData($event)"
                        class="table-pekerjaan">
                        <p-header>
                            <jhi-alert></jhi-alert>
                            <div class="col-md-1 offset-md-11">
                                <button pButton type="button"
                                    icon="fa-plus"
                                    class="ui-button-primary btn-sm"
                                    [routerLink]="['../work-order-new']">
                                </button>
                            </div>
                        </p-header>
                        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                        <p-column header="{{'mpmApp.workOrder.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.vehicleNumber'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.vehicleNumber}}
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.customer'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <div *ngIf="rowData.customerId">
                                    <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerName}}</a>
                                </div>
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.mechanic'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <div *ngIf="rowData.mechanicId">
                                    <a [routerLink]="['../mechanic', rowData.mechanicId  ]" >{{rowData.mechanicName}}</a>
                                </div>
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.vehicle'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <div *ngIf="rowData.vehicleId">
                                    <a [routerLink]="['../vehicle-identification', rowData.vehicleId  ]" >{{rowData.vehicleId}}</a>
                                </div>
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <button pButton type="submit"
                                        [routerLink]="['../work-order', rowData.idRequirement]"
                                        icon="fa-eye"
                                        class="ui-button-info"
                                        [style]="{'height':'50px'}">
                                </button>
                                <button pButton type="submit"
                                        [routerLink]="['../work-order/'+ rowData.idRequirement + '/edit']"
                                        icon="fa-pencil"
                                        class="ui-button-primary">
                                </button>
                                <!-- <button pButton type="submit"
                                        (click)="delete(rowData.idRequirement)"
                                        icon="fa-remove"
                                        class="ui-button-danger">
                                </button> -->
                            </ng-template>
                        </p-column>
                        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                        </ng-template>
                    </p-dataTable>
                    </p-tabPanel>
                <p-tabPanel header="Estimasi">
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label class="form-control-label">Jenis Antrian</label>
                                <select class="form-control">
                                    <option value="1">Reguler</option>
                                </select>
                            </div>
                        </div> 
                    </div>
                    <p-checkbox name="groupname" value="val1" [(ngModel)]="selectedValues" label="Point Reward (1500)" class="form-checkbox"></p-checkbox>
                    <p-dataTable
                        [value]="workOrders"
                        [editable]="true"
                        [rows]="itemsPerPage"
                        [paginator]="false"
                        [pageLinks]="5"
                        [totalRecords]="totalItems"
                        [responsive]="true"
                        [lazy]="true"
                        dataKey="idRequirement"
                        expandableRows="false"
                        (onLazyLoad)="loadDataLazy($event)"
                        (onEditComplete)="updateRowData($event)"
                        class="table-pekerjaan">
                        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                        <p-column header="{{'mpmApp.workOrder.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.vehicleNumber'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.vehicleNumber}}
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.customer'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <div *ngIf="rowData.customerId">
                                    <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerName}}</a>
                                </div>
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.mechanic'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <div *ngIf="rowData.mechanicId">
                                    <a [routerLink]="['../mechanic', rowData.mechanicId  ]" >{{rowData.mechanicName}}</a>
                                </div>
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.vehicle'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <div *ngIf="rowData.vehicleId">
                                    <a [routerLink]="['../vehicle-identification', rowData.vehicleId  ]" >{{rowData.vehicleId}}</a>
                                </div>
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <button pButton type="submit"
                                        [routerLink]="['../work-order', rowData.idRequirement]"
                                        icon="fa-eye"
                                        class="ui-button-info"
                                        [style]="{'height':'50px'}">
                                </button>
                                <button pButton type="submit"
                                        [routerLink]="['../work-order/'+ rowData.idRequirement + '/edit']"
                                        icon="fa-pencil"
                                        class="ui-button-primary">
                                </button>
                                <!-- <button pButton type="submit"
                                        (click)="delete(rowData.idRequirement)"
                                        icon="fa-remove"
                                        class="ui-button-danger">
                                </button> -->
                            </ng-template>
                        </p-column>
                        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                        </ng-template>
                    </p-dataTable>
                    <br>
                    <div class="row"> 
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Estimasi Total Biaya</label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Saldo Deposit</label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Total DP</label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                    </div>
                    <p-radioButton name="groupname1" value="val1" [(ngModel)]="selectedValue" label="Ditunggu" class="form-checkbox"></p-radioButton>
                    <p-radioButton name="groupname1" value="val2" [(ngModel)]="selectedValue" label="Ditinggal" class="form-checkbox"></p-radioButton>
                    <div class="row"> 
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Estimasi Lama Pengerjaan</label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Jam Pendaftaran</label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Estimasi Jam Pengerjaan</label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Estimasi Jam Pengerjaan</label>
                                <input type="text" class="form-control" name="field_" id="field_"
                                        />
                            </div>
                        </div>
                    </div>
                </p-tabPanel>
                <p-tabPanel header="Info Booking">
                    <p-dataTable
                        [value]="workOrders"
                        [editable]="true"
                        [rows]="itemsPerPage"
                        [paginator]="false"
                        [pageLinks]="5"
                        [totalRecords]="totalItems"
                        [responsive]="true"
                        [lazy]="true"
                        dataKey="idRequirement"
                        expandableRows="false"
                        (onLazyLoad)="loadDataLazy($event)"
                        (onEditComplete)="updateRowData($event)"
                        class="table-pekerjaan">
                        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                        <p-column header="{{'mpmApp.workOrder.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.vehicleNumber'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.vehicleNumber}}
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.customer'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <div *ngIf="rowData.customerId">
                                    <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerName}}</a>
                                </div>
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.mechanic'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <div *ngIf="rowData.mechanicId">
                                    <a [routerLink]="['../mechanic', rowData.mechanicId  ]" >{{rowData.mechanicName}}</a>
                                </div>
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.vehicle'|translate}}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <div *ngIf="rowData.vehicleId">
                                    <a [routerLink]="['../vehicle-identification', rowData.vehicleId  ]" >{{rowData.vehicleId}}</a>
                                </div>
                            </ng-template>
                        </p-column>
                        <p-column header="{{'mpmApp.workOrder.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <button pButton type="submit"
                                        [routerLink]="['../work-order', rowData.idRequirement]"
                                        icon="fa-eye"
                                        class="ui-button-info"
                                        [style]="{'height':'50px'}">
                                </button>
                                <button pButton type="submit"
                                        [routerLink]="['../work-order/'+ rowData.idRequirement + '/edit']"
                                        icon="fa-pencil"
                                        class="ui-button-primary">
                                </button>
                                <!-- <button pButton type="submit"
                                        (click)="delete(rowData.idRequirement)"
                                        icon="fa-remove"
                                        class="ui-button-danger">
                                </button> -->
                            </ng-template>
                        </p-column>
                        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                        </ng-template>
                    </p-dataTable>
                </p-tabPanel>
            </p-tabView>       
        </form>        
        <p-footer>
            <button type="button" class="btn btn-default" (click)="previousState()">
                <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
            </button>
            <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
            </button>
        </p-footer>     
    </p-panel>
</div>
<p-dialog [(visible)]="newCustomer" responsive="true" width="400" modal="true" visible="true">
    <p-header>
        Informasi Konsumen Baru
    </p-header>

    <div class="row">
        <div class="col-md-12">
            <p>Berdasarkan Nomor Polisi, Data kendaraan & Data konsumen tidak ditemukan.</p>
            <p>Silahkan cari berdasarkan Nomor Mesin atau Nomor Rangka.</p>         
        </div>        
    </div>

    <p-footer>
        <button type="button" class="btn btn-primary" (click)="newCustomer = !newCustomer">
            <span class="fa fa-check"></span>&nbsp;<span>Ok</span>
        </button>
    </p-footer>
</p-dialog>